2009-09-09 Florian Franzmann <siflfran@hawo.stw.uni-erlangen.de>
	* PRE_BUILD, wxgtk-2.8.10-gsocket.patch: added patch to make
	  the spell compile with our version of glib
	* PRE_BUILD, wxGTK-2.8.10.1-CVE-2009-2369.patch, DETAILS:
	  added patch that fixes CVE-2009-2369, set SECURITY_PATCH=1

2009-06-08 Treeve Jelbert <treeve@sourcemage.org>
	* PROVIDES: added
	* CONFLICTS: add wxgtk-new

2009-03-17 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.8.10 (new)

2009-01-07 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* BUILD, INSTALL: skip the bad plugins
	* CONFIGURE: refreshed plugin choice #13874
	  don't warn about plugin choice removal

2008-09-22 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.8.9 (new)

2008-08-20 Arjan Bouter <abouter@sourcemage.org>
	* DEPENDS: made opengl optional again

2008-07-23 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* (REPAIR^)PRE_SUB_DEPENDS: fixed DEV check always returning true

2008-07-09 Elisamuel Resto <ryuji@sourcemage.org>
	* DETAILS: updated SOURCE_HASH for devel branch

2008-06-26 Pol Vinogradov <vin.public@gmail.com>
	* DETAILS: fixed SOURCE_HASH for developer branch

2008-06-23 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.8.8 (new)

2008-03-18 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Switch X11-LIBS to the one and only xorg-libs

2007-12-08 Vlad Glagolev <stealth@sourcemage.org>
	* BUILD: added `--enable-graphics_ctx' option

2007-12-06 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.8.7 (new)

2007-10-24 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* CONFLICTS: added self #14031

2007-09-27 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.8.6 (new)

2007-09-16 Arwed v. Merkatz <v.merkatz@gmx.net>
	* PRE_BUILD, debdiff.patch: patch to fix an issue triggered by glibc
	  2.6, see
	  https://bugs.launchpad.net/mandriva/+source/vlc/+bug/120278, thanks
	  to the ubuntu guys for backporting the upstream fix
	* DETAILS: updated 2.8 version to 2.8.5, fixes the same issue, moved
	  PATCHLEVEL to 2.6 version and incremented

2007-09-07 Pol Vinogradov <vin.public@gmail.com>
	* DETAILS: PATCLEVEL++
	* BUILD, INSTALL: fixed if statements in xrc skipping,
	  removed WXGTK_OPTS usage
	* SUB_DEPENDS, PRE_SUB_DEPENDS: switched to WX_CONTRIB,
	  added DEV sub_dependency

2007-09-06 Pol Vinogradov <vin.public@gmail.com>
	* BUILD, PRE_SUB_DEPENDS: fixed bad list_find usage

2007-09-05 Pol Vinogradov <vin.public@gmail.com>
	* BUILD: moved opengl flag to DEPENDS, changed options handling,
	  made xrc optional
	* CONFIGURE: added xrc to WX_CONTRIB
	* DEPENDS: added flag to OPENGL
	* INSTALL: fixed xrc handling an added $WXGTK_OPTS to loop
	* SUB_DEPENDS, PRE_SUB_DEPENDS: added for sub_depending ;)

2007-07-09 Eric Sandall <sandalle@sourcemage.org>
	* CONFIGURE: At least for stable, animate is an empty directory

2007-05-18 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.8.4 (new)

2007-04-12 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.6.4 (old)
	  revert to using bz2 files
	* PREPARE: rephrase message and make 2.8.x(new) default
	  keep WX_DEV variable as it used by wxpython spell
	* PRE_BUILD: removed

2007-04-07 John Harding <johnh@kuberaconsulting.com>
	* DETAILS: changed bz2 to gz on tar and updated hash
	  both on 2.8.3

2007-03-20 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.8.3 (devel)

2007-03-12 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.8.2 (devel)

2007-02-24 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.8.2-rc1 (devel)

2007-01-22 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.8.1 (devel)

2006-12-28 Treeve Jelbert <treeve@sourcemage.org>
	* DEPENDS: add OPENGL, won't build without it

2006-12-12 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.8.0 (devel)
	  leave as devel for the moment as it breaks some other packages
	* PREPARRE: update the query

2006-12-10 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.8.0-rc3 (devel)
	  also fix bug #13319

2006-11-14 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.8.0-rc1 (devel)

2006-11-12 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: PATCHLEVEL++
	* CONFIGURE, DETAILS, PREPARE: fix typo in variable name

2006-11-08 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.7.2 (devel)

2006-11-04 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: fix name for patch file

2006-11-04 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: use different tarballs
	  wxGTK instead of wxWidgets  (much smaller)
	  add a second SOURCE_URL 
	  PATCHLEVEL++
	* EXPORTS, REPAIR^none^EXPORTS: export WX_DEV for wxpython
	* CONFIGURE: allow choice of add-ons
	
2006-10-26 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.7.1 (devel)
	
2006-08-19 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS: fixed some quoting for an if, a missing comment
	* PRE_BUILD: fixed some quoting for an if

2006-08-08 Treeve Jelbert <treeve@sourcemage.org>
	* PREPARE: allow choice of 2.6.3 or 2.7.0
	* PRE_BUILD: add
	* DETAILS: add back 2.6.3 related stuff

2006-08-08 Treeve Jelbert <treeve@sourcemage.org>
	* UP_TRIGGERS: add, detect changed library version
	* DEPENDS: change option for pcre

2006-08-07 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.7.0
	* PRE_BUILD: remove

2006-06-28 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Removed BUILD_API=2, set grimoire-wide

2006-06-08 Arwed v. Merkatz <v.merkatz@gmx.net>
	* EXPORTS, REPAIR^none^EXPORTS: export the WX_CONTRIB variable, needed
	  by wxpython

2006-05-24 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: use -2 in patchfile name, rather than $PATCHLEVEL

2006-05-23 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: add patch file
	  set PATCHLEVEL
	* PRE_BUILD: add, apply patch
	  see http://www.wxwidgets.org/patch.htm#patches263

2006-03=25 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.6.3

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2005-10-20 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.6.3-rc1
	* PRE_BUILD intl.cpp.diff: deleted, no longer needed
	* DEPENDS: add missing &&


2005-11-29 George Sherwood <george@beernabeer.com>
	* DEPENDS: only depend this version gtk+2
	* CONFIGURE: Removed config_query for unicode and gtk+2
	* CONFLICTS: Added to conflict with wxgtk-no-unicode
	* BUILD: Build with unicode and gtk+2

2005-11-20 George Sherwood <george@beernabeer.com>
	* BUILD: Added variable for WXGTK_OPTS
	* CONFIGURE: Added query to enable unicode

2005-10-20 Treeve Jelbert <treeve@sourcemage.org>
	* intl.cpp.diff PRE_BUILD: fix bug reported when running amule

2005-10-12 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Depends on g++

2005-10-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.6.2

2005-07-07 Sergey Lipnevich <sergey@sourcemage.org>
	* BUILD,INSTALL: build contributed components; invoke default_* routines;
	* DEPENDS: more options;
	* DETAILS: don't use TMPFS even if enabled, build needs lots of memory.

2005-06-05 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.6.1

2005-05-25 George Sherwood <george@beernabeer.com>
	* CONFIGURE: change default to build with gtk+2

2005-05-02 George Sherwood <george@beernabeer.com>
	* DEPENDS: Fixed to use either gtk+ or gtk+2
	* CONFIGURE: Added to choose which gtk+ version

2005-04-29 George Sherwood <george@beernabeer.com>
	* DETAILS: Cleaned up. SOURCE file changed name. MD5 updated.
	* DEPENDS: option to enable gtk+2 changed

2005-04-24 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.6.0
	* BUILD INSTALL: adjust
	* CONFLICTS PREPARE gtk-2.4-fix.patch: removed

2005-04-03 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.4.2 / 2.5.5
	  new SOURCE_URL

2005-03-06 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: version 2.4.2 / 2.5.4

2005-02-17 Treeve Jelbert <treeve@sourcemage.org>
	* BUILD INSTALL: fix build of stc

2005-02-17 Treeve Jelbert <treeve@sourcemage.org>
	* DETAILS: versions 2.4.2 / 2.5.3
	  BUILD_API=2
	* BUILD: strip
	* CONFLICTS INSTALL PREPARE: added

2004-05-05 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Re-add exporting of LIBS for -lGLU

2004-04-15 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, gtk-2.4-fix.patch: readded
	* DETAILS: downgrade to 2.4.2
	* DEPENDS: removed expat and SDL

2004-04-09 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: upgrade to 2.5.1;
	* DEPENDS: use X11-LIBS and --x-libraries, add expat and SDL;
	* BUILD: build Styled Text Control and XML resources (e.g. for PgAdmin);
	* gtk-2.4-fix.patch: remove.

2004-03-29 Arwed v. Merkatz <v.merkatz@gmx.net>
	* BUILD, gtk-2.4-fix.patch: fix usage of private gtk functions that
	  aren't exported by gtk 2.4 anymore
	* DETAILS: changed LICENSE and WEB_SITE to use www.wxwidgets.org

2003-10-25 Jose Bernardo Silva <jbernardo@sourcemage.org>
	* BUILD: added ${INSTALL_ROOT} support; removed the patch (already in 2.4.2)
	* DETAILS: Updated to 2.4.2
	* HISTORY: Haven't had the time to convert the whole file to the new format yet.

2003-10-11 Sergey Lipnevich <sergey@sourcemage.org>
	* DEPENDS: Remove libiconv dependency.

2003-06-20 Sergey Lipnevich <sergey@sourcemage.org>
	* Make wxWindows use GTK+2 toolkit (experimental).
	* DEPENDS: Added libiconv dependency and instructions for other dependencies.
	* Add a patch for wxPython to compile (they forgot to merge it from wxPython-related branch I guess).

2003-06-17 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: Upgrade to 2.4.1.

2003-01-08 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: Upgraded to 2.4.0.

2002-11-27 Sergey Lipnevich <sergey@sourcemage.org>
	* DEPENS: Added some dependencies.

2002-10-24 Sergey Lipnevich <sergey@sourcemage.org>
	* DETAILS: "Unbreak" the spell ;-) by correcting $SOURCE_DIRECTORY.
	  Upgrade to 2.3.3 with checksum change.
	* BUILD: Removed obsolete BUILD file.

2002-10-14 Julian v. Bock <julian@wongr.net>
	* DETAILS: add LICENSE and MD5 fields.

